/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "dusk.h"

typedef enum {
  ITEM_TYPE_NULL = 0,

  // MEDICINE
  ITEM_TYPE_POTION,

  // INGREDIENTS
  ITEM_TYPE_ONION,
  ITEM_TYPE_SWEET_POTATO,
  ITEM_TYPE_CARROT,

  // COOKED FOOD
  ITEM_TYPE_BAKED_SWEET_POTATO,
} itemtype_t;