/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "duskraylib.h"

/**
 * Initializes the UI drawing system.
 */
void drawUIInit(void);

/**
 * Draws all the UI elements to the screen in the correct order.
 */
void drawUI(void);

/**
 * Draws the UI textbox to the screen.
 */
void drawUITextbox(void);